Skip to main content
Back to API List

Update Bulk Contacts API

Use this API to update multiple contacts by IDs.
MethodPUT
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/bulk-update
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeConfiguration

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required

Sample Request

curl --location --request PUT 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/bulk-update' \
--header 'Content-Type: application/json' \
--header 'accountId: {{accountId}}' \
--header 'auth: {{jwt_token}}' \
--data '[
    {
        "id": "6964af60450340957c6xxxxx",
        "firstName": "john",
            "lastName": "doee",
            "fullName": "john doee",
            "salutation": "mr",
            "cellPhone": {
                "extension": "+",
                "phoneNumber": "24456xxxxx",
                "countryCode": "+91"
            }
    },
       {
        "id": "6964af806fc554153c0xxxxx",
        "firstName": "jane",
            "lastName": "do",
            "fullName": "jane do",
            "salutation": "mr",
            "cellPhone": {
                "extension": "+",
                "phoneNumber": "244567xxxxx",
                "countryCode": "+91"
            }
    }
]'

Request Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
accountIdThe account ID associated with the API request.required
Content-TypeThe format in which the request payload is sent to the server: application/jsonrequired

Body Parameters

ParameterDescriptionType
idThe unique identifier of the contact.string, required
firstNameThe first name of the contact.string, required
lastNameThe last name of the contact.string, required
salutationThe salutation (Mr. or Mrs.) of the contact.string, required
cellPhone.phoneNumberThe phone number of the contact in numeric digits without any special characters or alphabets.string, required
cellPhone.countryCodeThe country code of the contact.string, required
cellPhone.extensionThe extension of the contact.string, required

Sample Response

{
    "totalRequested": 2,
    "successful": 2,
    "failed": 0,
    "successfulRecords": [
        {
            "id": "6964af60450340957c6xxxxx",
            "contact": {
                "_id": "6964af60450340957c6xxxxx",
                "firstName": "john",
                "lastName": "doe",
                "fullName": "john doe",
                "salutation": "mr",
                "cellPhone": {
                    "extension": "+",
                    "phoneNumber": "+9124456xxxxx",
                    "countryCode": "+91"
                },
                "status": "ACTIVE",
                "instanceBotId": "st-7dc994f0-4436-5134-9fa8-a942625xxxxx",
                "orgId": "o-16ff21d2-5d27-5fb2-b9bd-9fedb5fxxxxx",
                "accountId": "65f7d49a5dd06e2cefa45012",
                "createdBy": "u-cc6ebd6c-656c-5364-abfc-ad5f80exxxxx",
                "createdByAId": "a-6c63a33-c2a7-49e8-a5ab-82449c8xxxxx",
                "address": [],
                "twitterDetails": [],
                "createdAt": "2026-01-12T08:22:56.321Z",
                "updatedAt": "2026-01-12T09:55:04.840Z",
                "updatedBy": "u-cc6ebd6c-656c-5364-abfc-ad5f80exxxxx",
                "updatedByAId": "a-6c63a33-c2a7-49e8-a5ab-82449c8xxxxx"
            }
        },
        {
            "id": "6964af806fc554153c0xxxxx",
            "contact": {
                "_id": "6964af806fc554153c0xxxxx",
                "firstName": "jane",
                "lastName": "doe",
                "fullName": "jane doe",
                "salutation": "mr",
                "cellPhone": {
                    "extension": "+",
                    "phoneNumber": "+91244567xxxxx",
                    "countryCode": "+91"
                },
                "status": "ACTIVE",
                "instanceBotId": "st-7dc994f0-4436-5134-9fa8-a942625xxxxx",
                "orgId": "o-16ff21d2-5d27-5fb2-b9bd-9fedb5fxxxxx",
                "accountId": "65f7d49a5dd06e2cefaxxxxx",
                "createdBy": "u-cc6ebd6c-656c-5364-abfc-ad5f80exxxxx",
                "createdByAId": "a-6c63a33-c2a7-49e8-a5ab-82449c8xxxxx",
                "address": [],
                "twitterDetails": [],
                "createdAt": "2026-01-12T08:23:28.413Z",
                "updatedAt": "2026-01-12T09:55:04.846Z",
                "updatedBy": "u-cc6ebd6c-656c-5364-abfc-ad5f80exxxxx",
                "updatedByAId": "a-6c63a33-c2a7-49e8-a5ab-82449c8xxxxx"
            }
        }
    ],
    "failedRecords": []
}

Response Parameters

ParameterDescriptionType
totalRequestedTotal number of records requested.integer
successfulTotal number of records successfully deleted.integer
failedNumber of records that failed to process.integer
successfulRecordsContains array of contacts that were updated.array of objects
successfulRecords.idUnique identifier of the contact record.string
successfulRecords.contact._idUnique identifier of the contact record.string
successfulRecords.contact.firstNameContact’s first name.string
successfulRecords.contact.lastNameContact’s last name.string
successfulRecords.contact.fullNameContact’s full name.string
successfulRecords.contact.salutationSalutation or title of the contact.string
successfulRecords.contact.cellPhoneMobile details of the contact.object
successfulRecords.contact.cellPhone.extensionDialing prefix.string
successfulRecords.contact.cellPhone.phoneNumberContact’s mobile phone number.string
successfulRecords.contact.cellPhone.countryCodeCountry calling code associated with the phone number.string
successfulRecords.contact.statusCurrent status of the contact.string
successfulRecords.contact.instanceBotIdUnique identifier of the associated bot instance.string
successfulRecords.contact.orgIdUnique identifier of the organization.string
successfulRecords.contact.accountIdUnique identifier of the account.string
successfulRecords.contact.createdByUnique identifier of the user who created the contact.string
successfulRecords.contact.createdByAIdUnique identifier of the application that created the record.string
successfulRecords.contact.addressList of addresses associated with the contact.array of objects
successfulRecords.contact.twitterDetailsList of Twitter profile details associated with the contact.array of objects
successfulRecords.contact.createdAtTimestamp indicating when the contact was created.string (ISO 8601 Date-Time)
successfulRecords.contact.updatedAtTimestamp indicating when the contact was last updated.string (ISO 8601 Date-Time)
successfulRecords.contact.updatedByTimestamp indicating when the contact was last updated.string
successfulRecords.contact.updatedByAIdUnique identifier of the application that updated the contact.string
failedRecordsList of records that failed to delete. This array is empty when there are no failures.array of objects